from django.contrib import admin

from .models import LogEntry, ShiftSlot, WeeklyShift, CleaningTask, \
        CleaningTaskSignoff

def deactivate_tasks(modeladmin, request, queryset):
    queryset.update(active=False)
deactivate_tasks.short_description = 'Mark the selected tasks as inactive'

class CleaningTaskAdmin(admin.ModelAdmin):
    actions = [deactivate_tasks]
    list_filter = ('active',)

admin.site.register(LogEntry)
admin.site.register(ShiftSlot)
admin.site.register(WeeklyShift)
admin.site.register(CleaningTask, CleaningTaskAdmin)
admin.site.register(CleaningTaskSignoff)
