from django.urls import path

from . import views

app_name = 'mellemfolk'
urlpatterns = [
    path('onshift/', views.onshift_today, name='onshift'),
    path('onshift/now/', views.onshift_now_view, name='onshift_now'),
    path('employee/<int:employee_id>', views.employee, name='employee'),

    path('log/', views.log_entries, name='log_entries'),
    path('log/<int:log_entry_id>', views.log_entry, name='log_entry'),
    path('log/submit', views.submit_log_entry, name='submit_log_entry'),

    path('cleaning-task/', views.cleaning_schedule, name='cleaning_schedule'),
    path('cleaning-task/now/', views.cleaning_schedule_now, name='cleaning_schedule_now'),
    path('cleaning-task/<int:cleaning_task_id>', views.cleaning_task, name='cleaning_task'),
    path('cleaning-task/<int:cleaning_task_id>/signoff', views.signoff_task, name='signoff_task'),
]
